> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice

> Get a specific voice by ID



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/voices/{voice_id}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voices/{voice_id}:
    get:
      tags:
        - Voices
      summary: Get Voice
      description: Get a specific voice by ID
      operationId: voices_get
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            description: Voice ID
            title: Voice Id
          description: Voice ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceListItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    VoiceListItem:
      properties:
        voice_id:
          type: string
          title: Voice Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
        accent:
          type: string
          title: Accent
        sample_storage_path:
          type: string
          title: Sample Storage Path
        performance:
          type: string
          enum:
            - latency
            - quality
          title: Performance
          description: >-
            Performance tier this voice belongs to. Used by the client to filter
            voices based on the agent's selected tier (latency or quality).
          default: latency
        is_default:
          type: boolean
          title: Is Default
          description: Whether this is the default voice for its performance tier.
          default: false
      type: object
      required:
        - voice_id
        - name
        - accent
        - sample_storage_path
      title: VoiceListItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````